Package org.eclipse.m2m.atl.adt.debug.ui

# Class AtlBreakpointImageProvider

java.lang.Object
org.eclipse.m2m.atl.adt.debug.ui.AtlBreakpointImageProvider

All Implemented Interfaces:
  `org.eclipse.ui.texteditor.IAnnotationImageProvider`

public class AtlBreakpointImageProvider extends Object implements org.eclipse.ui.texteditor.IAnnotationImageProvider
The ATL breakpoint image provider.

## Constructor Summary

Constructors
Constructor
Description
`AtlBreakpointImageProvider()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.jface.resource.ImageDescriptor`
`getImageDescriptor(String imageDescritporId)`
`String`
`getImageDescriptorId(org.eclipse.jface.text.source.Annotation annotation)`
`org.eclipse.swt.graphics.Image`
`getManagedImage(org.eclipse.jface.text.source.Annotation annotation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlBreakpointImageProvider

public AtlBreakpointImageProvider()

## Method Details

### getManagedImage

public org.eclipse.swt.graphics.Image getManagedImage(org.eclipse.jface.text.source.Annotation annotation)

Specified by:
  `getManagedImage` in interface `org.eclipse.ui.texteditor.IAnnotationImageProvider`
See Also:
  - `IAnnotationImageProvider.getManagedImage(org.eclipse.jface.text.source.Annotation)`

### getImageDescriptorId

public String getImageDescriptorId(org.eclipse.jface.text.source.Annotation annotation)

Specified by:
  `getImageDescriptorId` in interface `org.eclipse.ui.texteditor.IAnnotationImageProvider`
See Also:
  - `IAnnotationImageProvider.getImageDescriptorId(org.eclipse.jface.text.source.Annotation)`

### getImageDescriptor

public org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(String imageDescritporId)

Specified by:
  `getImageDescriptor` in interface `org.eclipse.ui.texteditor.IAnnotationImageProvider`
See Also:
  - `IAnnotationImageProvider.getImageDescriptor(java.lang.String)`